// Tokeniser.h: interface for the CTokeniser class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOKENISER_H__7EFD1639_6FCB_4BD4_AF76_C7F8B1F41F9B__INCLUDED_)
#define AFX_TOKENISER_H__7EFD1639_6FCB_4BD4_AF76_C7F8B1F41F9B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define NORM_MODE UNORM_NFKC


class CTokeniser  
{
public:
	bool GetNext(int& n);
	void SetText(UnicodeString&);
	CTokeniser(const char*);
	virtual ~CTokeniser();
	BreakIterator *m_bi;
	int m_p;
	bool AllSpace(const xairo_uchar*);
	UnicodeString FoldCase(UnicodeString);
	UnicodeString IndexForm(UnicodeString);
	UnicodeString IndexFormCase(UnicodeString);
	UnicodeString Normalize(UnicodeString);

};

#endif // !defined(AFX_TOKENISER_H__7EFD1639_6FCB_4BD4_AF76_C7F8B1F41F9B__INCLUDED_)
