#pragma once

#define MF 100
#define FS 2000000000
//#define FS 100000000

#define PS 30000
#define STRENGTH 5

class CBigFile
{
public:
	CBigFile();
	~CBigFile();
	bool open(const xairo_uchar* path,const xairo_uchar* mode);
	void close();
	int read(void*,size_t,int);
	int write(void*,size_t,int);
	void seek(__int64);
	void release(__int64);
	void remove();
	void reopen(const xairo_uchar*);
	long Dump();
protected:
	void Activate();
	const xairo_uchar* m_path, *m_access;
	int m_n;
	unsigned m_p;
	FILE* m_f[MF];
	int m_krel;
};

class CPagedFile: public CBigFile
{
public:
	CPagedFile();
	~CPagedFile();
	void SetPageCount(int,__int64);
	int writepage(void*,int);
	void header(int);
private:
	int m_pn;
	int m_maxpage;
	__int64 m_maxseq;
	struct xara_loc_page* m_pages;
};